Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.type.v1
Class ProductNameType

    java.lang.Object
      be.fgov.ehealth.samcivics.type.v1.ProductNameType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:31:40+02:00",
               comments="JAXB RI v2.2.6")
    public class ProductNameType

extends Object
implements Serializable

Response structure returning information on AMPP

Java class for ProductNameType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ProductNameType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="productName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="amppID" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="chapterName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="paragraphName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="startDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="versionNum" type="{http://www.w3.org/2001/XMLSchema}integer"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ProductNameType()`

Method Summary
`long` | `getAmppID()` Gets the value of the amppID property.
`String` | `getChapterName()` Gets the value of the chapterName property.
`String` | `getParagraphName()` Gets the value of the paragraphName property.
`String` | `getProductName()` Gets the value of the productName property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`BigInteger` | `getVersionNum()` Gets the value of the versionNum property.
`void` | `setAmppID(long value)` Sets the value of the amppID property.
`void` | `setChapterName(String value)` Sets the value of the chapterName property.
`void` | `setParagraphName(String value)` Sets the value of the paragraphName property.
`void` | `setProductName(String value)` Sets the value of the productName property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setVersionNum(BigInteger value)` Sets the value of the versionNum property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProductNameType

    public ProductNameType()

Method Detail

### getProductName

    public String getProductName()

  Gets the value of the productName property.

  Returns:
    possible object is `String`

### setProductName

    public void setProductName(String value)

  Sets the value of the productName property.

  Parameters:
    `value` - allowed object is `String`

### getAmppID

    public long getAmppID()

  Gets the value of the amppID property.

### setAmppID

    public void setAmppID(long value)

  Sets the value of the amppID property.

### getChapterName

    public String getChapterName()

  Gets the value of the chapterName property.

  Returns:
    possible object is `String`

### setChapterName

    public void setChapterName(String value)

  Sets the value of the chapterName property.

  Parameters:
    `value` - allowed object is `String`

### getParagraphName

    public String getParagraphName()

  Gets the value of the paragraphName property.

  Returns:
    possible object is `String`

### setParagraphName

    public void setParagraphName(String value)

  Sets the value of the paragraphName property.

  Parameters:
    `value` - allowed object is `String`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getVersionNum

    public BigInteger getVersionNum()

  Gets the value of the versionNum property.

  Returns:
    possible object is `BigInteger`

### setVersionNum

    public void setVersionNum(BigInteger value)

  Sets the value of the versionNum property.

  Parameters:
    `value` - allowed object is `BigInteger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.